topoInterpolate {oce} | R Documentation

## Interpolate Within a Topo Object

### Description

Bilinear interpolation is used so that values will vary smoothly within a longitude-latitude grid cell. Note that the sign convention for `longitude` and `latitude` must match that in `topo`.

### Usage

    topoInterpolate(longitude, latitude, topo)

### Arguments

`longitude` | Vector of longitudes (in the same sign convention as used in `topo`).
`latitude` | Vector of latitudes (in the same sign convention as used in `topo`).
`topo` | A `topo` object, i.e. inheriting from `topo-class`.

### Value

Vector of heights giving the elevation of the earth above means sea level at the indicated location on the earth.

### Author(s)

Dan Kelley

### See Also

Other things related to `topo` data: `[[,topo-method`, `[[<-,topo-method`, `as.topo`, `download.topo`, `plot,topo-method`, `read.topo`, `subset,topo-method`, `summary,topo-method`, `topo-class`, `topoWorld`

### Examples

    library(oce)
    data(topoWorld)
    # "The Gully", approx. 400m deep, connects Gulf of St Lawrence with North Atlantic
    topoInterpolate(45, -57, topoWorld)

[Package oce version 0.9-22 Index]